Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786648 - app-backup/zbackup-1.4.4-r2 fails to compile with gcc-11
Summary: app-backup/zbackup-1.4.4-r2 fails to compile with gcc-11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Vladimir Pavljuchenkov (SpiderX)
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-29 05:59 UTC by Agostino Sarubbo
Modified: 2021-09-02 20:37 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,27.40 KB, text/plain)
2021-04-29 05:59 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-04-29 05:59:54 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-backup/zbackup-1.4.4-r2 fails to compile with gcc-11.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses GCC-11: https://gcc.gnu.org/gcc-11/porting_to.html
Comment 1 Agostino Sarubbo gentoo-dev 2021-04-29 05:59:56 UTC
Created attachment 703542 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-04-29 05:59:59 UTC
Possible context of error(s):

/var/tmp/portage/app-backup/zbackup-1.4.4-r2/work/zbackup-1.4.4/file.hh:43:5: error: ISO C++17 does not allow dynamic exception specifications
Comment 3 Sam James archtester gentoo-dev Security 2021-07-25 23:30:02 UTC
I'm inclined to last-rite this given no activity upstream or fixes.
Comment 4 Larry the Git Cow gentoo-dev 2021-08-04 21:29:02 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4ae58e91dfd65160c0087f2194aa210f5167b17

commit b4ae58e91dfd65160c0087f2194aa210f5167b17
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-04 21:28:28 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-04 21:28:53 +0000

    profiles: last-rite app-backup/zbackup
    
    Bug: https://bugs.gentoo.org/729106
    Bug: https://bugs.gentoo.org/786648
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 5 Larry the Git Cow gentoo-dev 2021-09-02 20:37:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8fede6a0673091ee3f6d7d4dbdf065a347f13d45

commit 8fede6a0673091ee3f6d7d4dbdf065a347f13d45
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2021-09-02 20:31:40 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2021-09-02 20:35:34 +0000

    app-backup/zbackup: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/786648
    Closes: https://bugs.gentoo.org/729106
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 app-backup/zbackup/Manifest                        |  1 -
 .../zbackup/files/zbackup-1.4.4-tartool.patch      | 11 -------
 .../zbackup/files/zbackup-9999-tartool.patch       | 11 -------
 app-backup/zbackup/metadata.xml                    | 26 ----------------
 app-backup/zbackup/zbackup-1.4.4-r2.ebuild         | 33 --------------------
 app-backup/zbackup/zbackup-9999.ebuild             | 35 ----------------------
 profiles/package.mask                              |  5 ----
 7 files changed, 122 deletions(-)